"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DismissButton = void 0;
const react_1 = __importDefault(require("react"));
const classnames_1 = __importDefault(require("classnames"));
const evangelist_elements_button_1 = require("@teambit/evangelist.elements.button");
const ui_hooks_use_in_out_transition_1 = require("@teambit/ui.hooks.use-in-out-transition");
const dismiss_button_module_scss_1 = __importDefault(require("./dismiss-button.module.scss"));
function DismissButton(_a) {
    var { visible, className } = _a, rest = __rest(_a, ["visible", "className"]);
    const stage = ui_hooks_use_in_out_transition_1.useInOutTransition(visible, +dismiss_button_module_scss_1.default.animationTime);
    return (react_1.default.createElement(evangelist_elements_button_1.Button, Object.assign({}, rest, { className: classnames_1.default(className, dismiss_button_module_scss_1.default.dismissButton, `${dismiss_button_module_scss_1.default.dismissButton}-${stage}`) }), "Dismiss all"));
}
exports.DismissButton = DismissButton;
//# sourceMappingURL=dismiss-button.js.map